Package fr.gouv.vitam.ihmdemo.appserver

# Class WebApplicationConfig

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.common.server.application.configuration.DefaultVitamIHMApplicationConfiguration
fr.gouv.vitam.ihmdemo.appserver.WebApplicationConfig

All Implemented Interfaces:
  `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public class WebApplicationConfig extends DefaultVitamIHMApplicationConfiguration
Web Application Configuration class

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebApplicationConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<jakarta.ws.rs.core.MediaType>`
  `getAllowedMediaTypes()`
  `String`
  `getBaseUri()`
  `List<String>`
  `getSecureMode()`
  `WebApplicationConfig`
  `setAllowedMediaTypes(List<jakarta.ws.rs.core.MediaType> allowedMediaTypes)`
  `WebApplicationConfig`
  `setBaseUri(String baseUri)`
  `WebApplicationConfig`
  `setSecureMode(List<String> secureMode)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamIHMApplicationConfiguration

  `getBaseUrl, getPort, getServerHost, setBaseUrl, setPort, setServerHost`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WebApplicationConfig

    public WebApplicationConfig()

- ## Method Details

  - ### getBaseUri

    public String getBaseUri()

  - ### setBaseUri

    public WebApplicationConfig setBaseUri(String baseUri)

  - ### getSecureMode

    public List<String> getSecureMode()

  - ### setSecureMode

    public WebApplicationConfig setSecureMode(List<String> secureMode)

  - ### getAllowedMediaTypes

    public List<jakarta.ws.rs.core.MediaType> getAllowedMediaTypes()

  - ### setAllowedMediaTypes

    public WebApplicationConfig setAllowedMediaTypes(List<jakarta.ws.rs.core.MediaType> allowedMediaTypes)